Bitcoin Forum
October 20, 2017, 11:03:19 AM *
News: Latest stable version of Bitcoin Core: 0.15.0.1  [Torrent]. (New!)
 
   Home   Help Search Donate Login Register  
Pages: [1] 2 3 »  All
  Print  
Author Topic: What is the best linux, amd driver and cgminer combo right now?  (Read 12664 times)
jjshabadoo
Hero Member
*****
Offline Offline

Activity: 538



View Profile
November 29, 2011, 05:08:03 AM
 #1

Can you run ubuntu 11.10 amd catalyst 11.11 and cgminer 2.08 without cpu bug and stable?

I'm looking for a nice stable combo for a new rig and want to get everything down nice and clean. I've been using linuxcoin, but I'd like just a bare linux install with drivers and mining software only.

Is this over my head if I'm a linux noob?

Thanks.
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1508497399
Hero Member
*
Offline Offline

Posts: 1508497399

View Profile Personal Message (Offline)

Ignore
1508497399
Reply with quote  #2

1508497399
Report to moderator
btc_artist
Full Member
***
Offline Offline

Activity: 154


Bitcoin!


View Profile WWW
November 29, 2011, 05:46:16 AM
 #2

Answers to this question are of interest to me as well.  If I end up figuring it out on my own, I'll post here again.

BTC: 1CDCLDBHbAzHyYUkk1wYHPYmrtDZNhk8zf
LTC: LMS7SqZJnqzxo76iDSEua33WCyYZdjaQoE
kano
Legendary
*
Offline Offline

Activity: 2240


Linux since 1997 RedHat 4


View Profile
November 29, 2011, 12:19:46 PM
 #3

See my sig Smiley

Pool: https://kano.is Here on Bitcointalk: Forum BTC: 1KanoPb8cKYqNrswjaA8cRDk4FAS9eDMLU
FreeNode IRC: irc.freenode.net channel #kano.is Majority developer of the ckpool code
Help keep Bitcoin secure by mining on pools with full block verification on all blocks - and NO empty blocks!
ThiagoCMC
Legendary
*
Offline Offline

Activity: 1190

฿itcoin: Currency of Resistance!


View Profile
December 30, 2011, 06:55:05 AM
 #4

* Ubuntu 11.04 64 bits
* Catalyst 11.6
* SDK v2.4
* CGminer 2.0.6

For CGMiner 2.0.8~2.1.0 binary at Ubuntu 11.04, you'll need to modify a few things at your Linux to get it running.

I try a lots of times to run CGminer 2.0.8 at Ubuntu 11.10 64 bits and with Catalyst 11.11 but, CGminer consumes all my CPUs.

I was unable to install Catalyst 11.6 at Ubuntu 11.10. The fglrx kernel modules does not compile.

Best!
Thiago
3phase
Sr. Member
****
Offline Offline

Activity: 313


Third score


View Profile
January 01, 2012, 06:00:32 PM
 #5


For CGMiner 2.0.8~2.1.0 binary at Ubuntu 11.04, you'll need to modify a few things at your Linux to get it running.


Thiago, what did you do to get CGminer 2.0.8 or 2.1.0 to work in Ubuntu 11.04. I tried to search the cgminer thread but I don't seem to find what is the catch. CGMiner 2.06 works fine for me as well.

Thanks,

Fiat no more.
Δοκιμάστε το http://multibit.org - Bitcoin client τώρα και στα Ελληνικά
ThiagoCMC
Legendary
*
Offline Offline

Activity: 1190

฿itcoin: Currency of Resistance!


View Profile
January 01, 2012, 06:55:53 PM
 #6


For CGMiner 2.0.8~2.1.0 binary at Ubuntu 11.04, you'll need to modify a few things at your Linux to get it running.


Thiago, what did you do to get CGminer 2.0.8 or 2.1.0 to work in Ubuntu 11.04. I tried to search the cgminer thread but I don't seem to find what is the catch. CGMiner 2.06 works fine for me as well.

Thanks,

You must run as root:

Code:
cd /lib/
ln -s libncurses.so.5 libtinfo.so.5

after that, run:

Code:
ldd /path/to/cgminer-2.1.0-x86_64_built/cgminer

You must see:

Code:
linux-vdso.so.1 =>  (0x00007fff9adff000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f1e856cc000)
libcurl.so.4 => /usr/lib/libcurl.so.4 (0x00007f1e85473000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f1e85254000)
libOpenCL.so.1 => /opt/AMD-APP-SDK-v2.4-lnx64/lib/x86_64/libOpenCL.so.1 (0x00007f1e8504f000)
libncurses.so.5 => /lib/libncurses.so.5 (0x00007f1e84e0b000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f1e84a76000)
/lib64/ld-linux-x86-64.so.2 (0x00007f1e858e2000)
libidn.so.11 => /usr/lib/libidn.so.11 (0x00007f1e84843000)
liblber-2.4.so.2 => /usr/lib/liblber-2.4.so.2 (0x00007f1e84635000)
libldap_r-2.4.so.2 => /usr/lib/libldap_r-2.4.so.2 (0x00007f1e843e9000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f1e841e1000)
libgssapi_krb5.so.2 => /usr/lib/x86_64-linux-gnu/libgssapi_krb5.so.2 (0x00007f1e83fac000)
libssl.so.0.9.8 => /lib/libssl.so.0.9.8 (0x00007f1e83d58000)
libcrypto.so.0.9.8 => /lib/libcrypto.so.0.9.8 (0x00007f1e839c9000)
libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f1e837b1000)
libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f1e83595000)
libsasl2.so.2 => /usr/lib/libsasl2.so.2 (0x00007f1e8337b000)
libgnutls.so.26 => /usr/lib/x86_64-linux-gnu/libgnutls.so.26 (0x00007f1e830da000)
libgcrypt.so.11 => /lib/x86_64-linux-gnu/libgcrypt.so.11 (0x00007f1e82e5f000)
libkrb5.so.3 => /usr/lib/x86_64-linux-gnu/libkrb5.so.3 (0x00007f1e82b9b000)
libk5crypto.so.3 => /usr/lib/x86_64-linux-gnu/libk5crypto.so.3 (0x00007f1e82974000)
libcom_err.so.2 => /lib/x86_64-linux-gnu/libcom_err.so.2 (0x00007f1e8276f000)
libkrb5support.so.0 => /usr/lib/x86_64-linux-gnu/libkrb5support.so.0 (0x00007f1e82567000)
libkeyutils.so.1 => /lib/x86_64-linux-gnu/libkeyutils.so.1 (0x00007f1e82364000)
libtasn1.so.3 => /usr/lib/x86_64-linux-gnu/libtasn1.so.3 (0x00007f1e82152000)
libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007f1e81f4e000)

 You you see "File not found" here, post here...

Best!
Thiago
kano
Legendary
*
Offline Offline

Activity: 2240


Linux since 1997 RedHat 4


View Profile
January 01, 2012, 10:39:14 PM
 #7

You should only have that one problem with cgminer 2.1.1 on 11.04 - and creating the link fixes it.
There should be no other problems or errors.
yeah that fix is from my sig script Smiley

I've only been running versions I compiled since cgminer 2.0.8 but I just ran a test again of the released 2.1.1 binary and it still works fine on 11.04 with that link fix.
Any other errors would be due to not installing the required libraries as listed in my script or ckolivas' README
(or problems generating the .bin file)

Pool: https://kano.is Here on Bitcointalk: Forum BTC: 1KanoPb8cKYqNrswjaA8cRDk4FAS9eDMLU
FreeNode IRC: irc.freenode.net channel #kano.is Majority developer of the ckpool code
Help keep Bitcoin secure by mining on pools with full block verification on all blocks - and NO empty blocks!
-ck
Moderator
Legendary
*
Offline Offline

Activity: 2310


Ruu \o/


View Profile WWW
January 02, 2012, 02:57:53 AM
 #8

It's only needed if you grab a binary for 11.11 and use it on earlier. If you build it yourself it wont be needed...

Primary developer/maintainer for cgminer and ckpool/ckproxy.
ZERO FEE Pooled mining at ckpool.org 1% Fee Solo mining at solo.ckpool.org
-ck
3phase
Sr. Member
****
Offline Offline

Activity: 313


Third score


View Profile
January 02, 2012, 06:56:41 AM
 #9


For CGMiner 2.0.8~2.1.0 binary at Ubuntu 11.04, you'll need to modify a few things at your Linux to get it running.


Thiago, what did you do to get CGminer 2.0.8 or 2.1.0 to work in Ubuntu 11.04. I tried to search the cgminer thread but I don't seem to find what is the catch. CGMiner 2.06 works fine for me as well.

Thanks,

You must run as root:

Code:
cd /lib/
ln -s libncurses.so.5 libtinfo.so.5

after that, run:

Code:
ldd /path/to/cgminer-2.1.0-x86_64_built/cgminer

You must see:

Code:
linux-vdso.so.1 =>  (0x00007fff9adff000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f1e856cc000)
libcurl.so.4 => /usr/lib/libcurl.so.4 (0x00007f1e85473000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f1e85254000)
libOpenCL.so.1 => /opt/AMD-APP-SDK-v2.4-lnx64/lib/x86_64/libOpenCL.so.1 (0x00007f1e8504f000)
libncurses.so.5 => /lib/libncurses.so.5 (0x00007f1e84e0b000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f1e84a76000)
/lib64/ld-linux-x86-64.so.2 (0x00007f1e858e2000)
libidn.so.11 => /usr/lib/libidn.so.11 (0x00007f1e84843000)
liblber-2.4.so.2 => /usr/lib/liblber-2.4.so.2 (0x00007f1e84635000)
libldap_r-2.4.so.2 => /usr/lib/libldap_r-2.4.so.2 (0x00007f1e843e9000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f1e841e1000)
libgssapi_krb5.so.2 => /usr/lib/x86_64-linux-gnu/libgssapi_krb5.so.2 (0x00007f1e83fac000)
libssl.so.0.9.8 => /lib/libssl.so.0.9.8 (0x00007f1e83d58000)
libcrypto.so.0.9.8 => /lib/libcrypto.so.0.9.8 (0x00007f1e839c9000)
libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f1e837b1000)
libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f1e83595000)
libsasl2.so.2 => /usr/lib/libsasl2.so.2 (0x00007f1e8337b000)
libgnutls.so.26 => /usr/lib/x86_64-linux-gnu/libgnutls.so.26 (0x00007f1e830da000)
libgcrypt.so.11 => /lib/x86_64-linux-gnu/libgcrypt.so.11 (0x00007f1e82e5f000)
libkrb5.so.3 => /usr/lib/x86_64-linux-gnu/libkrb5.so.3 (0x00007f1e82b9b000)
libk5crypto.so.3 => /usr/lib/x86_64-linux-gnu/libk5crypto.so.3 (0x00007f1e82974000)
libcom_err.so.2 => /lib/x86_64-linux-gnu/libcom_err.so.2 (0x00007f1e8276f000)
libkrb5support.so.0 => /usr/lib/x86_64-linux-gnu/libkrb5support.so.0 (0x00007f1e82567000)
libkeyutils.so.1 => /lib/x86_64-linux-gnu/libkeyutils.so.1 (0x00007f1e82364000)
libtasn1.so.3 => /usr/lib/x86_64-linux-gnu/libtasn1.so.3 (0x00007f1e82152000)
libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007f1e81f4e000)

 You you see "File not found" here, post here...

Best!
Thiago

Thanks Thiago, 0.231 BTC donated to your wallet as a symbolic thanks.

Fiat no more.
Δοκιμάστε το http://multibit.org - Bitcoin client τώρα και στα Ελληνικά
ThiagoCMC
Legendary
*
Offline Offline

Activity: 1190

฿itcoin: Currency of Resistance!


View Profile
January 02, 2012, 09:47:37 PM
 #10


For CGMiner 2.0.8~2.1.0 binary at Ubuntu 11.04, you'll need to modify a few things at your Linux to get it running.


Thiago, what did you do to get CGminer 2.0.8 or 2.1.0 to work in Ubuntu 11.04. I tried to search the cgminer thread but I don't seem to find what is the catch. CGMiner 2.06 works fine for me as well.

Thanks,

You must run as root:

Code:
cd /lib/
ln -s libncurses.so.5 libtinfo.so.5

after that, run:

Code:
ldd /path/to/cgminer-2.1.0-x86_64_built/cgminer

You must see:

Code:
linux-vdso.so.1 =>  (0x00007fff9adff000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f1e856cc000)
libcurl.so.4 => /usr/lib/libcurl.so.4 (0x00007f1e85473000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f1e85254000)
libOpenCL.so.1 => /opt/AMD-APP-SDK-v2.4-lnx64/lib/x86_64/libOpenCL.so.1 (0x00007f1e8504f000)
libncurses.so.5 => /lib/libncurses.so.5 (0x00007f1e84e0b000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f1e84a76000)
/lib64/ld-linux-x86-64.so.2 (0x00007f1e858e2000)
libidn.so.11 => /usr/lib/libidn.so.11 (0x00007f1e84843000)
liblber-2.4.so.2 => /usr/lib/liblber-2.4.so.2 (0x00007f1e84635000)
libldap_r-2.4.so.2 => /usr/lib/libldap_r-2.4.so.2 (0x00007f1e843e9000)
librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f1e841e1000)
libgssapi_krb5.so.2 => /usr/lib/x86_64-linux-gnu/libgssapi_krb5.so.2 (0x00007f1e83fac000)
libssl.so.0.9.8 => /lib/libssl.so.0.9.8 (0x00007f1e83d58000)
libcrypto.so.0.9.8 => /lib/libcrypto.so.0.9.8 (0x00007f1e839c9000)
libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f1e837b1000)
libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f1e83595000)
libsasl2.so.2 => /usr/lib/libsasl2.so.2 (0x00007f1e8337b000)
libgnutls.so.26 => /usr/lib/x86_64-linux-gnu/libgnutls.so.26 (0x00007f1e830da000)
libgcrypt.so.11 => /lib/x86_64-linux-gnu/libgcrypt.so.11 (0x00007f1e82e5f000)
libkrb5.so.3 => /usr/lib/x86_64-linux-gnu/libkrb5.so.3 (0x00007f1e82b9b000)
libk5crypto.so.3 => /usr/lib/x86_64-linux-gnu/libk5crypto.so.3 (0x00007f1e82974000)
libcom_err.so.2 => /lib/x86_64-linux-gnu/libcom_err.so.2 (0x00007f1e8276f000)
libkrb5support.so.0 => /usr/lib/x86_64-linux-gnu/libkrb5support.so.0 (0x00007f1e82567000)
libkeyutils.so.1 => /lib/x86_64-linux-gnu/libkeyutils.so.1 (0x00007f1e82364000)
libtasn1.so.3 => /usr/lib/x86_64-linux-gnu/libtasn1.so.3 (0x00007f1e82152000)
libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007f1e81f4e000)

 You you see "File not found" here, post here...

Best!
Thiago

Thanks Thiago, 0.231 BTC donated to your wallet as a symbolic thanks.


WOW!!! THANK YOU SO MUCH!!!  :-D
ThiagoCMC
Legendary
*
Offline Offline

Activity: 1190

฿itcoin: Currency of Resistance!


View Profile
January 19, 2012, 01:46:59 AM
 #11

Can you run ubuntu 11.10 amd catalyst 11.11 and cgminer 2.08 without cpu bug and stable?

I'm looking for a nice stable combo for a new rig and want to get everything down nice and clean. I've been using linuxcoin, but I'd like just a bare linux install with drivers and mining software only.

Is this over my head if I'm a linux noob?

Thanks.

* Ubuntu 11.10 - 64 bits
* Catalyst 11.12
* NO NEED FOR SDK! Or, SDK probably included...
* CGMiner 2.1.2 binary distribution

Run export the var "GPU_USE_SYNC_OBJECTS=1" to CGminer to fix the "100% CPU usage BUG".

Cheers!
Thiago
ThiagoCMC
Legendary
*
Offline Offline

Activity: 1190

฿itcoin: Currency of Resistance!


View Profile
January 19, 2012, 06:12:24 PM
 #12

Can you run ubuntu 11.10 amd catalyst 11.11 and cgminer 2.08 without cpu bug and stable?

I'm looking for a nice stable combo for a new rig and want to get everything down nice and clean. I've been using linuxcoin, but I'd like just a bare linux install with drivers and mining software only.

Is this over my head if I'm a linux noob?

Thanks.

* Ubuntu 11.10 - 64 bits
* Catalyst 11.12
* NO NEED FOR SDK! Or, SDK probably included...
* CGMiner 2.1.2 binary distribution

Run export the var "GPU_USE_SYNC_OBJECTS=1" to CGminer to fix the "100% CPU usage BUG".

Cheers!
Thiago

This is CRAP!

Does not work for 2 x 5970.
BinaryMage
Hero Member
*****
Offline Offline

Activity: 560


Ad astra.


View Profile
January 21, 2012, 07:08:11 PM
 #13

I would not recommend 11.10, it has issues running more than one videocard.

-- BinaryMage -- | OTC | PGP
ThiagoCMC
Legendary
*
Offline Offline

Activity: 1190

฿itcoin: Currency of Resistance!


View Profile
January 22, 2012, 12:38:51 AM
 #14

I would not recommend 11.10, it has issues running more than one videocard.

Well... I can run CGMiner @ Ubuntu 11.10 with 3 5870 just fine. The GPU_USE_SYNC_OBJECTS=1 var is a requirement.

But, when I try the same setup at my 2 5970... It doesn't work.

Right now, I have one 5850 @ Ubuntu 11.10 64 bits, Catalyst 11.12 and CGMiner 2.1.2 working fine.

Anyway, why ckolivas make a cgminer binary for Ubuntu 11.10 if no one is able to run on it?!
BinaryMage
Hero Member
*****
Offline Offline

Activity: 560


Ad astra.


View Profile
January 22, 2012, 12:59:02 AM
 #15


Well... I can run CGMiner @ Ubuntu 11.10 with 3 5870 just fine. The GPU_USE_SYNC_OBJECTS=1 var is a requirement.

But, when I try the same setup at my 2 5970... It doesn't work.

Right now, I have one 5850 @ Ubuntu 11.10 64 bits, Catalyst 11.12 and CGMiner 2.1.2 working fine.

Anyway, why ckolivas make a cgminer binary for Ubuntu 11.10 if no one is able to run on it?!

Did't work w/five 5870s on a GA-EP45-UD3P for me, and I've read reports of other users having problems with multiple GPUs on it. Glad it worked for you though.

-- BinaryMage -- | OTC | PGP
kano
Legendary
*
Offline Offline

Activity: 2240


Linux since 1997 RedHat 4


View Profile
January 22, 2012, 10:35:42 AM
 #16

I would not recommend 11.10, it has issues running more than one videocard.

Well... I can run CGMiner @ Ubuntu 11.10 with 3 5870 just fine. The GPU_USE_SYNC_OBJECTS=1 var is a requirement.

But, when I try the same setup at my 2 5970... It doesn't work.

Right now, I have one 5850 @ Ubuntu 11.10 64 bits, Catalyst 11.12 and CGMiner 2.1.2 working fine.

Anyway, why ckolivas make a cgminer binary for Ubuntu 11.10 if no one is able to run on it?!
As you already know and have quoted elsewhere from the script in my sig - there is no issue with using the 11.10 binary on 11.04 as long as you link the curses library to the new name.

However, from a development platform point of view, it makes simple sense as to why anyone might upgrade.

From the point of view of a mining rig, I would stick to the version with the least problems and the best performance ... 11.04
(until there is a good security related reason - related to mining - to update it)

Pool: https://kano.is Here on Bitcointalk: Forum BTC: 1KanoPb8cKYqNrswjaA8cRDk4FAS9eDMLU
FreeNode IRC: irc.freenode.net channel #kano.is Majority developer of the ckpool code
Help keep Bitcoin secure by mining on pools with full block verification on all blocks - and NO empty blocks!
DBordello
Sr. Member
****
Offline Offline

Activity: 350


BTCPak.com - Exchange your Bitcoins for MP!


View Profile WWW
January 22, 2012, 05:05:33 PM
 #17

For what it is worth, I am on Ubuntu 11.04, Catalyst 11.6, SDK 2.1 with cgminer 2.1.2 and have been humming along with 58xx cards.

However, I am unable to restart a crashed GPU.  I have to restart the entire machine.  This is observed on both of my rigs.

Does anybody have a setup where cgminer can restart sick GPUs?

www.BTCPak.com - Exchange your bitcoins for MP: Secure, Anonymous and Easy!
The LT
Full Member
***
Offline Offline

Activity: 188



View Profile WWW
January 23, 2012, 12:12:01 AM
 #18

Can you run ubuntu 11.10 amd catalyst 11.11 and cgminer 2.08 without cpu bug and stable?

I'm looking for a nice stable combo for a new rig and want to get everything down nice and clean. I've been using linuxcoin, but I'd like just a bare linux install with drivers and mining software only.

Is this over my head if I'm a linux noob?

Thanks.

* Ubuntu 11.10 - 64 bits
* Catalyst 11.12
* NO NEED FOR SDK! Or, SDK probably included...
* CGMiner 2.1.2 binary distribution

Run export the var "GPU_USE_SYNC_OBJECTS=1" to CGminer to fix the "100% CPU usage BUG".

Cheers!
Thiago

This is CRAP!

Does not work for 2 x 5970.

Did work for me for 11.12 / cgminer 2.1.1 and SDK 2.6. Two rigs, one 2x5870 and other 2x5850
The LT
Full Member
***
Offline Offline

Activity: 188



View Profile WWW
January 23, 2012, 12:13:05 AM
 #19

For what it is worth, I am on Ubuntu 11.04, Catalyst 11.6, SDK 2.1 with cgminer 2.1.2 and have been humming along with 58xx cards.

However, I am unable to restart a crashed GPU.  I have to restart the entire machine.  This is observed on both of my rigs.

Does anybody have a setup where cgminer can restart sick GPUs?

I think that it depends on how far you're overclocking. Just lower the clock a little.
ThiagoCMC
Legendary
*
Offline Offline

Activity: 1190

฿itcoin: Currency of Resistance!


View Profile
January 23, 2012, 07:21:00 AM
 #20

I would not recommend 11.10, it has issues running more than one videocard.

Well... I can run CGMiner @ Ubuntu 11.10 with 3 5870 just fine. The GPU_USE_SYNC_OBJECTS=1 var is a requirement.

But, when I try the same setup at my 2 5970... It doesn't work.

Right now, I have one 5850 @ Ubuntu 11.10 64 bits, Catalyst 11.12 and CGMiner 2.1.2 working fine.

Anyway, why ckolivas make a cgminer binary for Ubuntu 11.10 if no one is able to run on it?!
As you already know and have quoted elsewhere from the script in my sig - there is no issue with using the 11.10 binary on 11.04 as long as you link the curses library to the new name.

However, from a development platform point of view, it makes simple sense as to why anyone might upgrade.

From the point of view of a mining rig, I would stick to the version with the least problems and the best performance ... 11.04
(until there is a good security related reason - related to mining - to update it)

Sure, I understand you.

But, releasing a binary version of a program that doesn't work for the system it was compile for, does not make any sense. This force people to do workarounds (like linking the curses library), which isn't easy for new people to do, and loose too much time on it... And the problems with new Catalyst versions is just another negative point of CGMiner for Ubuntu 11.10...

I need to most recent version of Ubuntu because my mining rig isn't dedicated only to mining... So, as I saw cgminer binary FOR ubuntu 11.10, I spent a lot of time on it just to see that it is impossible to use it on top of the system that it was supposed built for.

Anyway, I can live with that, CGMiner is the best miner out there... I'll never try another miner software anymore. I just think that release cgminer for Ubuntu 11.10, which clearly doesn't work because of AMD bad work on its Catalyst, just confuses new people.

Best,
Thiago
Pages: [1] 2 3 »  All
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!